<div>
  <h1>CREATE FORM</h1>
  <form #childForm="ngForm" (ngSubmit)="submit(childForm)">
    <label>
      <strong>First name: </strong>
      <input type="text" pattern="[a-zA-Z]" name="firsname" [required]="true" [(ngModel)]="newProfile.firstName">
    </label>

    <label>
      <strong>Last name: </strong>
      <input type="text" pattern="[a-zA-Z]" name="firsname" [required]="true" [(ngModel)]="newProfile.lastName">
    </label>

    <label>
      <strong>Age: </strong>
      <input type="text" pattern="[a-zA-Z]" name="firsname" [required]="true" [(ngModel)]="newProfile.age">
    </label>

    <label><strong>Gender: </strong></label>
    <select name="selection" required [(ngModel)]="newProfile.gender" (ngModelChange)="newProfile.gender=$event">
      <option value="" selected>none</option>
      <option value="Male">Male</option>
      <option value="Female">Female</option>
    </select>
    <input type="submit" [disabled]="!childForm.valid">
  </form>
</div>
